## org.hibernate.service.classloading.spi
Class ClassLoadingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.service.classloading.spi.ClassLoadingException

All Implemented Interfaces:
  Serializable

    public class ClassLoadingException

extends HibernateException

Indicates a problem performing class loading

See Also:
  Serialized Form

Constructor Summary
`ClassLoadingException(String s)`
`ClassLoadingException(String string, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassLoadingException

    public ClassLoadingException(String string,
                                 Throwable root)

### ClassLoadingException

    public ClassLoadingException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.